Subject: [PATCH 0/2] OMAP: mailbox initial device tree support

From: [email-masked] (Cousson, Benoit)
Date: Thu, 24 May 2012 17:44:15 +0200

On 5/2/2012 7:42 AM, Bedia, Vaibhav wrote:
> Hi Omar,
>
> On Tue, May 01, 2012 at 23:17:38, Omar Ramirez Luna wrote:
>> To allow mailbox driver to function with device tree.
>>
>> Tested in OMAP4 and OMAP3. OMAP2 untested.
>
> I think the mailbox code needs a cleanup similar to what you
> had proposed earlier [1] before the device tree support is added.
>
> We probably need to decide whether the number of mailbox sub-modules
> should be part of hwmod attribute or come from device tree. IMO the
> static allocation of the mailboxes is better suited in the device-tree
> data.

Ideally yes, but that assumes we are supporting only DT boot method, 
which is still not the case today.

That being said, the driver might still be able to leverage DT if 
available already.

This can be done later as well.

Omar,
That's up to you.

Regards,
Benoit